
****** Chapter 2: Generating Data File For Mplus ************.

* Example data set: KFT.sav.

* Open SPSS data set KFT.sav.
* (Note: The path in the following command has to be changed according to the settings on your computer).

GET FILE='F:\Publikationen\2011\Mplus_book_translation\CD\1_Read_Data_Into_Mplus\1_Individual Data\KFT.sav'.


* Recode system-defined missing values (blank cells) into user-defined missing values ("-99" ) for all six variables.

RECODE kft_v1 kft_v3 kft_q1 kft_q3 kft_n1 kft_n3 (MISSING=-99).
EXECUTE.


* Define the new value of "-99" as missing value code.

MISSING VALUES kft_v1 kft_v3 kft_q1 kft_q3 kft_n1 kft_n3 (-99).
EXECUTE.


* Export data set as ASCII file for Mplus.
* Tab delimited format is used here.
* (Note: The path in the following command has to be changed according to the settings on your computer).

SAVE TRANSLATE OUTFILE='F:\Publikationen\2011\Mplus_book_translation\CD\1_Read_Data_Into_Mplus\1_Individual Data\KFT.dat'
  /TYPE=TAB
  /MAP
  /REPLACE
  /CELLS=VALUES.


************************************************************.
* Calculation of descriptive statistics using listwise deletion for comparison with Mplus results of a BASIC analysis with listwise deletion.

RELIABILITY
  /VARIABLES=kft_v1 kft_v3 kft_q1 kft_q3 kft_n1 kft_n3
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR COV.
